Bug 853455 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:1c8fe78ac77e36a44ac9f200e2c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 11:19 EDT by John Bouras
Modified: 2013-08-01 15:01 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:01:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-08-31 11:19 EDT, John Bouras
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (382 bytes, text/plain)
2012-08-31 11:19 EDT, John Bouras
no flags Details

  None (edit)
Description John Bouras 2012-08-31 11:19:33 EDT
Description of problem:
I performed a recent update, and Software Update informed me to Log out after update. During the log out, the display was behaving odd. The wallpaper looked like a jumble of squares, as if the computer forgot how to properly present the image. Then the screen would show text, with an error about the nouveau driver. The screen would flip back and forth between text and messsed up wallpaper. I decided to turn the computer of manually. Turned it back on and this error appeared.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.2-3.fc17.i686.PAE

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x4a) [0x80ac45a]
:1: /usr/bin/Xorg (0x8047000+0x6a498) [0x80b1498]
:2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb778440c]
:3: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xb7628000+0x4689) [0xb762c689]
:4: /usr/lib/xorg/modules/libexa.so (0xb75d6000+0xa9eb) [0xb75e09eb]
:5: /usr/bin/Xorg (0x8047000+0x1744ef) [0x81bb4ef]
:6: /usr/bin/Xorg (0x8047000+0xd0fd7) [0x8117fd7]
:7: /usr/bin/Xorg (0x8047000+0x1055f2) [0x814c5f2]
:8: /usr/bin/Xorg (0x8047000+0x101dbf) [0x8148dbf]
:9: /usr/bin/Xorg (0x8047000+0x303fd) [0x80773fd]
:10: /usr/bin/Xorg (0x8047000+0x1dce5) [0x8064ce5]
:11: /lib/libc.so.6 (__libc_start_main+0xf5) [0x44707635]
:12: /usr/bin/Xorg (0x8047000+0x1e029) [0x8065029]
Comment 1 John Bouras 2012-08-31 11:19:35 EDT
Created attachment 608545 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 John Bouras 2012-08-31 11:19:37 EDT
Created attachment 608546 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 vartan 2012-09-02 16:15:39 EDT
the problem of x.org11-server and GPU lockup happens, when the random selection of screensavers
picks up the sceeensaver (don't know which one) which forces the system fault.


Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 John Bouras 2012-09-03 08:08:33 EDT
I have my Linux box setup to blank the screen when it has been inactive for (such-n-such) amount of time. I don't have any screensavers chosen. Also I failed to mention that this condition does not occur on a regular basis. This it's the first time I've seen it on f17. ABRT picked it up, and I simply reported it. I've seen it before, but only once on f16 and once before that on f15.
Comment 5 vartan 2012-09-03 15:56:39 EDT
I must add this does not happen often.
Comment 6 Balaji G 2012-10-05 14:47:39 EDT
Closed some applications on the desktop 

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 aawasthi 2012-10-14 11:42:11 EDT
On normal update.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Adam Jackson 2012-10-18 17:49:26 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 9 Adam Jackson 2012-10-18 17:49:55 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 10 Jeff Gerritsen 2012-11-01 16:01:15 EDT
Updating to the latest release of F17 and received a GPU overflow error

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Eugene Grybinnyk 2012-11-13 03:28:37 EST
I opened web link from skype message and screen turned black. BUT previously I was opening a lot of links from skype messages.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 craig.ackerman 2012-12-14 19:54:35 EST
PC was idle and screensaver was running, the problem occurs nightly

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 aawasthi 2012-12-15 23:23:20 EST
I think the crash occurs while using 3.6.x.i686PAE kernels. It does not occur in 3.5.4-2.i686PAE.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Nicholas Youell 2013-05-06 02:57:11 EDT
Description of problem:
Was downloading a file and the screen went blaock then loys of nouveau messages stating ILLEGAL rolled across the screen. Was forced to reboot to recover. 

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.11-100.fc17.i686.PAE

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x4a) [0x80ac51a]
1: /usr/bin/Xorg (0x8047000+0x6a598) [0x80b1598]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb77d040c]
3: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xb7674000+0x4689) [0xb7678689]
4: /usr/lib/xorg/modules/libexa.so (0xb7624000+0xa9eb) [0xb762e9eb]
5: /usr/bin/Xorg (0x8047000+0x1741ff) [0x81bb1ff]
6: /usr/bin/Xorg (0x8047000+0xd0e97) [0x8117e97]
7: /usr/bin/Xorg (0x8047000+0x105422) [0x814c422]
8: /usr/bin/Xorg (0x8047000+0x101bdf) [0x8148bdf]
9: /usr/bin/Xorg (0x8047000+0x3044d) [0x807744d]
10: /usr/bin/Xorg (0x8047000+0x1dce5) [0x8064ce5]
11: /lib/libc.so.6 (__libc_start_main+0xf5) [0x4fb0e635]
12: /usr/bin/Xorg (0x8047000+0x1e029) [0x8065029]
Comment 15 Fedora End Of Life 2013-07-04 03:11:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 jamesvawter 2013-07-04 14:08:25 EDT
Description of problem:
restart computer after updates and it never wants to boot afterwards. after EVERY update if log off or restart is required it takes DAYS to get the computer to actually boot all the way into the OS and to actually run. this time after 36 hours of work i managed to do a "rescue" and get the computer to boot. it generally hangs at the black screen after bios with the white fedora symbol.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-7.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.12-100.fc17.i686.PAE
last_occurrence: 1372924038
runlevel:       S 5

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x4a) [0x80ac51a]
1: /usr/bin/Xorg (0x8047000+0x6a598) [0x80b1598]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb770b40c]
3: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xb75ab000+0x4689) [0xb75af689]
4: /usr/lib/xorg/modules/libexa.so (0xb7561000+0xa9eb) [0xb756b9eb]
5: /usr/bin/Xorg (0x8047000+0x1741ff) [0x81bb1ff]
6: /usr/bin/Xorg (0x8047000+0xd0e97) [0x8117e97]
7: /usr/bin/Xorg (0x8047000+0x105422) [0x814c422]
8: /usr/bin/Xorg (0x8047000+0x101bdf) [0x8148bdf]
9: /usr/bin/Xorg (0x8047000+0x3044d) [0x807744d]
10: /usr/bin/Xorg (0x8047000+0x1dce5) [0x8064ce5]
11: /lib/libc.so.6 (__libc_start_main+0xf5) [0x4843a635]
12: /usr/bin/Xorg (0x8047000+0x1e029) [0x8065029]
Comment 17 David DeBevec 2013-07-08 18:57:27 EDT
Description of problem:
I installed updates that were available as of 7/5 or 7/6.  I rebooted the system after the update and everything ran ok.  I shutdown the system last night 7/7 and rebooted it today 7/8.  Encountered error then. 

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-7.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.9.8-100.fc17.i686.PAE
last_occurrence: 1373323318
libpeerconnection.log: 
runlevel:       N 5

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x4a) [0x80ac51a]
1: /usr/bin/Xorg (0x8048000+0x69598) [0x80b1598]
2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb774340c]
3: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xb7045000+0x4689) [0xb7049689]
4: /usr/lib/xorg/modules/libexa.so (0xb6fd5000+0xa9eb) [0xb6fdf9eb]
5: /usr/bin/Xorg (0x8048000+0x1731ff) [0x81bb1ff]
6: /usr/bin/Xorg (0x8048000+0xcfe97) [0x8117e97]
7: /usr/bin/Xorg (0x8048000+0x104422) [0x814c422]
8: /usr/bin/Xorg (0x8048000+0x100bdf) [0x8148bdf]
9: /usr/bin/Xorg (0x8048000+0x2f44d) [0x807744d]
10: /usr/bin/Xorg (0x8048000+0x1cce5) [0x8064ce5]
11: /lib/libc.so.6 (__libc_start_main+0xf5) [0xb729e635]
12: /usr/bin/Xorg (0x8048000+0x1d029) [0x8065029]
Comment 18 Fedora End Of Life 2013-08-01 15:01:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.